'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.makeGridColumns = undefined;

var _reduceCssCalc = require('reduce-css-calc');

var _reduceCssCalc2 = _interopRequireDefault(_reduceCssCalc);

var _makeMediaBreakpointStyles = require('./makeMediaBreakpointStyles');

var _makeSharedColumnStyles = require('./makeSharedColumnStyles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Builds all the column, order, and offset classes.
 * @param {Object} [opts={}] The PostCSS plugin options.
 * @return {string} The generated CSS.
 */
const makeGridColumns = exports.makeGridColumns = opts => (0, _makeSharedColumnStyles.makeSharedColumnStyles)(opts) + [''] // The empty breakpoint below the smallest.
.concat(Object.keys(opts.gridBreakpoints)).map(breakpoint => (0, _makeMediaBreakpointStyles.makeMediaBreakpointStyles)(Object.assign({}, opts, { breakpoint }))).join('');