'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.makeAllGridColumnClasses = undefined;

var _numbersInRange = require('../utils/numbersInRange');

var _getInfix = require('../utils/getInfix');

/**
 * Make a list of all the column classes being generated.
 * @param {number} gridColumns The number of column units.
 * @param {object} gridBreakpoints The gridBreakpoints option.
 * @return {string} The string of classes.
 */
const makeAllGridColumnClasses = exports.makeAllGridColumnClasses = ({ gridColumns, gridBreakpoints }) => [''].concat(Object.keys(gridBreakpoints)).map(breakpoint => {
    const infix = (0, _getInfix.getInfix)(breakpoint);

    return `.col${infix}, .col${infix}-auto, ` + (0, _numbersInRange.numbersInRange)(1, gridColumns).map(i => `.col${infix}-${i}`).join(', ');
}).join(', ');