'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.makeOffsetClasses = undefined;

var _makeColOffset = require('./makeColOffset');

var _numbersInRange = require('../utils/numbersInRange');

/**
 * Makes the offset classes for a given breakpoint.
 * @param {string} infix The breakpoint infix.
 * @param {number} gridColumns The number of column units.
 * @param {bool} doOffsetClasses Whether to perform this functino.
 * @return {string} The generated CSS.
 */
const makeOffsetClasses = exports.makeOffsetClasses = ({ infix, gridColumns, doOffsetClasses }) => doOffsetClasses ? (0, _numbersInRange.numbersInRange)(1, gridColumns - 1).map(i => `.offset${infix}-${i} {
  ${(0, _makeColOffset.makeColOffset)({ gridColumns, size: i })}
}

`).join('') : '';