'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.makeSharedColumnStyles = makeSharedColumnStyles;

var _reduceCssCalc = require('reduce-css-calc');

var _reduceCssCalc2 = _interopRequireDefault(_reduceCssCalc);

var _makeAllGridColumnClasses = require('./makeAllGridColumnClasses');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Applies base styles to all column classes.
 * @param {string} infix A media breakpoint infix string.
 * @param {number} gridColumns The number of columns in the grid.
 * @param {string} gridGutterWidth A CSS value with a unit.
 * @return {string} The string of CSS.
 */
function makeSharedColumnStyles({
    gridColumns,
    gridGutterWidth,
    gridBreakpoints
}) {
    const padding = (0, _reduceCssCalc2.default)(`calc(${gridGutterWidth} / 2)`);

    return `${(0, _makeAllGridColumnClasses.makeAllGridColumnClasses)({ gridColumns, gridBreakpoints })} {
  position: relative;
  width: 100%;
  min-height: 1px;
  padding-right: ${padding};
  padding-left: ${padding};
}`;
}