'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeContainerClass = makeContainerClass;

var _reduceCssCalc = require('reduce-css-calc');

var _reduceCssCalc2 = _interopRequireDefault(_reduceCssCalc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Creates styles for the container and container-fluid classes.
 * @param {string} gridGutterWidth A CSS length with its unit.
 * @return {string} The generated CSS.
 */
function makeContainerClass({ gridGutterWidth }) {
  const padding = (0, _reduceCssCalc2.default)(`calc(${gridGutterWidth} / 2)`);

  return `.container, .container-fluid {
  width: 100%;
  padding-right: ${padding};
  padding-left: ${padding};
  margin-right: auto;
  margin-left: auto;
}
`;
}