'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeRowClass = makeRowClass;

var _reduceCssCalc = require('reduce-css-calc');

var _reduceCssCalc2 = _interopRequireDefault(_reduceCssCalc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Generates CSS for the .row class.
 * @param {string} gridGutterWidth A CSS value representing grid gutter size.
 * @return {string} The generated CSS.
 */
function makeRowClass({ gridGutterWidth }) {
  const margin = (0, _reduceCssCalc2.default)(`calc(${gridGutterWidth} / 2)`);

  return `.row {
  display: flex;
  flex-wrap: wrap;
  margin-right: -${margin};
  margin-left: -${margin};
}
`;
}